package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 营销目标对象 mall_target
 * 
 * @author ruoyi
 * @date 2022-01-17
 */
public class MallTarget extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 月销售额 */
    @Excel(name = "月销售额")
    private Long monthTarget;

    /** 年销售额 */
    @Excel(name = "年销售额")
    private Long yearTarget;

    /** 更新日期 */
    @Excel(name = "更新日期")
    private String updateAt;

    /** id */
    private Integer id;

    public void setMonthTarget(Long monthTarget) 
    {
        this.monthTarget = monthTarget;
    }

    public Long getMonthTarget() 
    {
        return monthTarget;
    }
    public void setYearTarget(Long yearTarget) 
    {
        this.yearTarget = yearTarget;
    }

    public Long getYearTarget() 
    {
        return yearTarget;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("monthTarget", getMonthTarget())
            .append("yearTarget", getYearTarget())
            .append("updateAt", getUpdateAt())
            .append("id", getId())
            .toString();
    }
}
